Bug 1007333 - EAP accepts removing logging handlers even if they are referenced in ROOT logger
EAP accepts removing logging handlers even if they are referenced in ROOT logger
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging (Show other bugs)
6.1.0,6.2.0
Unspecified Unspecified
unspecified Severity low
: DR9
: EAP 6.4.0
Assigned To: James Perkins
Nikoleta Ziakova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 05:49 EDT by Ondrej Lukas
Modified: 2017-10-09 20:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFCORE-158 Major Resolved Handlers should not be allowed to be removed if they're assigned to another handler or logger 2016-03-22 15:20 EDT

  None (edit)
Description Ondrej Lukas 2013-09-12 05:49:13 EDT
I think it is rather unexpected behavior than a bug. EAP in version 6.1 and 6.2 accepts removing of logging handlers even if they are referenced in ROOT logger. It caused inconsistent EAP and it could be started then. (In EAP 6.0 there is no possibility to remove referenced logging handler)

To reproduce run CLI commands:
/subsystem=logging/console-handler=CONSOLE:remove()
:reload
Comment 1 Ondrej Lukas 2013-09-12 05:57:12 EDT
*correction, sorry about that:
"It caused inconsistent EAP and it COULDN'T be started then."
Comment 2 Nikoleta Ziakova 2014-08-13 07:18:12 EDT
Proposing for EAP 6.4.0 as is missed EAP 6.3.0
Comment 4 Nikoleta Ziakova 2014-11-12 07:26:05 EST
Verified with EAP 6.4.0.DR9.

Note You need to log in before you can comment on or make changes to this bug.